Skip to main content
GET
/
v1
/
appointments
List appointments
curl --request GET \
  --url https://api.mivicall.com/v1/appointments \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "professionalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "patientName": "Maria Silva",
      "startsAt": "2026-05-14T10:00:00+01:00",
      "endsAt": "2023-11-07T05:31:56Z",
      "status": "confirmed",
      "source": "voice_ai",
      "serviceTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "patientPhoneHash": "<string>",
      "patientNotes": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mivicall.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key no header Authorization: Bearer miv_live_.... Gere keys em Settings → Integrations.

Query Parameters

from
string<date-time>

Inclusivo. ISO 8601 com timezone.

to
string<date-time>

Exclusivo. ISO 8601 com timezone.

professionalId
string<uuid>
status
enum<string>
Available options:
confirmed,
attended,
no_show,
cancelled,
rescheduled

Response

Lista de marcações

items
object[]